- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CSliderArray Class Reference

Inheritance diagram for Exponent::GUI::Controls::CSliderArray:

List of all members.

## Detailed Description

Represents a slider array.

Date:
  31/05/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

See also:
  CSlider

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CSliderArray.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 33 of file CSliderArray.hpp.

## Public Member Functions

- CSliderArray (IControlRoot *root, const long uniqueId, const CRect &area, const long widthOfSlider, const long sliderGap, const long numberOfSliders, IActionListener *listener=NULL)
- virtual void drawControl (CGraphics &graphics)
- virtual long getIndexOfLastMovedSlider () const
- virtual double getValue (const long index) const
- virtual void handleLeftButtonDown (CMouseEvent &event)
- virtual void handleLeftButtonUp (CMouseEvent &event)
- virtual void handleMouseLeavingArea (CMouseEvent &event)
- virtual void handleMouseMovement (CMouseEvent &event)
- virtual void setColours (CAlphaColour frameColour, CAlphaColour backgroundColour, CAlphaColour handleColour, CAlphaColour handleDownColour)
- virtual void setValue (const double value, const long index)
- virtual ~CSliderArray ()

## Protected Member Functions

- void createSliders (const long widthOfSlider, const long sliderGap)
- void drawSliders (CGraphics &graphics)

## Protected Attributes

- long m_dragIndex
- CAlphaColour m_handleColour
- CAlphaColour m_handleDownColour
- bool m_isDragging
- long m_lastIndex
- long m_numberOfSliders
- long m_sliderGap
- CRect * m_sliders
- double * m_sliderValues
- long m_widthOfSlider

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CSliderArray::CSliderArray | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | const long | widthOfSlider,
|  | const long | sliderGap,
|  | const long | numberOfSliders,
|  | IActionListener * | listener = `NULL` |
| ) |  |  |

virtual Exponent::GUI::Controls::CSliderArray::~CSliderArray | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Controls::CSliderArray::createSliders | ( | const long | widthOfSlider,
|  | const long | sliderGap |
| ) |  |  | `[protected]`

Create the sliders

Parameters:

  | widthOfSlider | The size of each slider
  | sliderGap | The gap between each slider

virtual void Exponent::GUI::Controls::CSliderArray::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the controls

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CControl.

void Exponent::GUI::Controls::CSliderArray::drawSliders | ( | CGraphics & | graphics | ) | `[protected]`

Draw the sliders

Parameters:

  | graphics | The graphics context

virtual long Exponent::GUI::Controls::CSliderArray::getIndexOfLastMovedSlider | ( |  | ) | const`[inline, virtual]`

Get last moved index

Return values:

  | long | The index of the last moved slider, default 0

Definition at line 73 of file CSliderArray.hpp.

References m_lastIndex.

virtual double Exponent::GUI::Controls::CSliderArray::getValue | ( | const long | index | ) | const`[inline, virtual]`

Get the value of a slider

Parameters:

  | index | The index of the slider to get

Return values:

  | double | The value ofthe slider in range 0 - 1

Definition at line 67 of file CSliderArray.hpp.

References m_sliderValues.

virtual void Exponent::GUI::Controls::CSliderArray::handleLeftButtonDown | ( | CMouseEvent & | event | ) | `[virtual]`

Handle left button being clicked

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CSliderArray::handleLeftButtonUp | ( | CMouseEvent & | event | ) | `[virtual]`

Handle left button being released

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CSliderArray::handleMouseLeavingArea | ( | CMouseEvent & | event | ) | `[virtual]`

Handle the mouse leaving the window area

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CSliderArray::handleMouseMovement | ( | CMouseEvent & | event | ) | `[virtual]`

Handle the mouse movement

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CSliderArray::setColours | ( | CAlphaColour | frameColour,
|  | CAlphaColour | backgroundColour,
|  | CAlphaColour | handleColour,
|  | CAlphaColour | handleDownColour |
| ) |  |  | `[virtual]`

Set the colours

Parameters:

  | frameColour | The colour of the frame
  | backgroundColour | The background colour of the control
  | handleColour | The colour of the area that can be grabbed by the user
  | handleDownColour | The colour of the area that can be grabbed by the user when mouse is grabbing it

virtual void Exponent::GUI::Controls::CSliderArray::setValue | ( | const double | value,
|  | const long | index |
| ) |  |  | `[virtual]`

Set the vlaue of a slider

Parameters:

  | value | The value of the slider (0 - 1)
  | index | The index of the slider to set

## Member Data Documentation

long Exponent::GUI::Controls::CSliderArray::m_dragIndex`[protected]`

Which slider are we dragging?

Definition at line 149 of file CSliderArray.hpp.

CAlphaColour Exponent::GUI::Controls::CSliderArray::m_handleColour`[protected]`

Colour of the slider

Definition at line 139 of file CSliderArray.hpp.

CAlphaColour Exponent::GUI::Controls::CSliderArray::m_handleDownColour`[protected]`

Colour of the slider when mouse is down

Definition at line 140 of file CSliderArray.hpp.

bool Exponent::GUI::Controls::CSliderArray::m_isDragging`[protected]`

Are we dragging the slider

Definition at line 148 of file CSliderArray.hpp.

long Exponent::GUI::Controls::CSliderArray::m_lastIndex`[protected]`

Index of last thing moved

Definition at line 150 of file CSliderArray.hpp.

Referenced by getIndexOfLastMovedSlider().

long Exponent::GUI::Controls::CSliderArray::m_numberOfSliders`[protected]`

How many sliders are there?

Definition at line 143 of file CSliderArray.hpp.

long Exponent::GUI::Controls::CSliderArray::m_sliderGap`[protected]`

Gaps between sliders

Definition at line 146 of file CSliderArray.hpp.

CRect* Exponent::GUI::Controls::CSliderArray::m_sliders`[protected]`

The actual slider areas

Definition at line 144 of file CSliderArray.hpp.

double* Exponent::GUI::Controls::CSliderArray::m_sliderValues`[protected]`

The values each slider holds

Definition at line 142 of file CSliderArray.hpp.

Referenced by getValue().

long Exponent::GUI::Controls::CSliderArray::m_widthOfSlider`[protected]`

Width of the sliders

Definition at line 145 of file CSliderArray.hpp.